<template>
<el-main>
  <el-form ref="form" :model="form" label-width="130px">
    <el-row>
      <el-col :span="12">
        <el-form-item label="文号">
          <el-input type="text"
                    v-model="form.unitName"
                    clearable
                    placeholder="文件号"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="当事人">
          <el-input type="text"
                    v-model="form.litigant"
                    clearable
                    placeholder="当事人"></el-input>
        </el-form-item>
      </el-col>
    </el-row>
    <el-form-item label="违法行为">
      <el-input v-model="form.breakLowContent"></el-input>
    </el-form-item>
    <el-form-item label="存放地点">
      <el-input v-model="form.storageLocation" placeholder="存放地点或场所"></el-input>
    </el-form-item>

    <el-row>
      <el-col :span="12">
        <el-form-item label="执法人1">
          <el-input type="text"
                    v-model="form.lawPersonOne"
                    clearable
                    placeholder="执法人1"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="执法证号">
          <el-input type="text"
                    v-model="form.lawcertOne"
                    clearable
                    placeholder="执法证号"></el-input>
        </el-form-item>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="12">
        <el-form-item label="执法人2">
          <el-input type="text"
                    v-model="form.lawPersonTwo"
                    clearable
                    placeholder="执法人2"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="执法证号">
          <el-input type="text"
                    v-model="form.lawcertTwo"
                    clearable
                    placeholder="执法证号"></el-input>
        </el-form-item>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="12">
        <el-form-item label="签字日期">
          <el-date-picker
            v-model="form.signatureTime"
            type="date"
            placeholder="选择日期">
          </el-date-picker>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="扣章日期">
          <el-date-picker
            v-model="form.executionTime"
            type="date"
            placeholder="选择日期">
          </el-date-picker>
        </el-form-item>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="12">
        <el-form-item label="抽样方式">
          <el-input type="text"
                    v-model="form.way"
                    clearable
                    placeholder="抽样方式"></el-input>
        </el-form-item>
      </el-col>
    </el-row>

    <el-form-item label-width="0">
      <el-button @click="openForm">添加物品</el-button>
      <el-table
        :data="form.goodsDis"
        style="width: 100%">
        <el-table-column
          label="序号"
          type="index"/>
        <el-table-column
          prop="name"
          label="名称">
        </el-table-column>
        <el-table-column
          prop="exhibitNum"
          label="数量">
        </el-table-column>
        <el-table-column
          prop="exhibitSize"
          label="规格（型号）">
        </el-table-column>

        <el-table-column
          prop="number"
          label="基数">
        </el-table-column>
        <el-table-column
          prop="remark"
          label="备注">
        </el-table-column>
        <el-table-column
          label="操作">
          <template slot-scope="scope">
            <el-button type="text" @click="deleteByRow(scope.$index)">
              <img src="../../../../../assets/lawImg/deleteIconRed.png" alt="">
            </el-button>
          </template>
        </el-table-column>
      </el-table>
    </el-form-item>
    <samplingEvidenceForm v-if="isShow" :isShow="isShow" @cancell="cancell"></samplingEvidenceForm>
    <WordView ref="wordInfo" :isShowYulan="showView" @cancel="cancelWord"></WordView>
  </el-form>
  <div style="text-align: center">
    <el-button v-if="isFinish!='2'" plain @click="dataFormSubmit('0')">保存</el-button>
    <el-button v-if="isFinish!='2'" type="warning" plain @click="dataFormSubmit('1')">定稿</el-button>
    <el-button type="primary" plain @click="viewVord(form)">预览</el-button>
    <el-button type="success" plain @click="downloadWord(form)">下载</el-button>
  </div>
</el-main>
</template>

<script>
import samplingEvidenceForm from "@/views/News/word-manage/externalFile/samplingEvidence/samplingEvidenceForm";
import {getObj, saveObj} from "@/api/News/samplingEvidenceForm";
import WordView from "@/views/News/word-view";

export default {
  name: "index",
  props: ['isShowYulan', 'id', 'isFinish', 'processId', 'title'],
  components:{
    samplingEvidenceForm,
    WordView
  },
  data() {
    return {
      isShow: false,
      showView: false,
      form: {
        unitName:"",//文号
        light:"",//当事人
        name: '',
        dataTime:"",//当事人签字日期
        dataEndTime:"",//扣章日期
      }
    }
  },
  created() {
    this.init();
  },
  methods: {
    init() {
      getObj(this.id).then((res) => {
        // 转换null为""
        let v = res.data.data;
        for (let attr in v) {
          if (v[attr] == null) {
            v[attr] = "";
          }
        }
        let str = JSON.stringify(v);
        let data = JSON.parse(str);
        this.form = data;
      });
    },
    dataFormSubmit(type) {
      this.$refs['form'].validate((valid) => {
        if (valid) {
          let obj = this;
          if ("1" == type) {
            this.$confirm('保存为定稿将不能修改，是否继续？', '提示', {
              confirmButtonText: '是',
              cancelButtonText: '否',
              type: 'warning'
            }).then(function () {
              obj.form.registerState = type;
              obj.form.registerId = obj.id;
              obj.form.processId = obj.processId;
              saveObj(obj.form).then((res) => {
                // this.submitLoading = false;
                obj.$message.success('操作成功');
                obj.cancel();
                obj.$emit('getDataList');
              })
            })
          } else {
            obj.form.registerState = type;
            obj.form.registerId = obj.id;
            obj.form.processId = obj.processId;
            saveObj(obj.form).then((res) => {
              // this.submitLoading = false;
              obj.$message.success("操作成功");
              obj.cancel();
              obj.$emit('getDataList');
            })
          }
        }
      })
    },
    cancel() {
      this.$emit('cancel', false);
    },
    openForm() {
      this.isShow = true;
    },
    cancell(e, d) {
      this.isShow = e;
      if(d !=undefined){
        this.dataForm.goodsList.push(d)
      }
    },
    viewVord(data) {
      if(data.registerState == null || data.registerState == ""){
        //预览前先进行保存
        data.registerState = '0';
        data.registerId = this.id;
        data.processId = this.processId;
        saveObj(data).then((res) => {
        })
      }
      //↓↓↓↓↓↓以下部分根据具体业务修改↓↓↓↓↓↓
      //格式转换
      // let wordData = this.transforData(data);
      //↑↑↑↑↑↑以上部分根据具体业务修改↑↑↑↑↑↑
      this.showView = true;
      this.$nextTick(() => {
        this.$refs.wordInfo.init(data, "/wordes/samplingEvidenceForm.docx");
      })
    },
    downloadWord(data) {
      if(data.registerState == null || data.registerState == ""){
        //预览前先进行保存
        data.registerState = '0';
        data.registerId = this.id;
        data.processId = this.processId;
        saveObj(data).then((res) => {
        })
      }
      // let wordData = this.transforData(data);
      WordView.methods.exportDoc(data, "/wordes/samplingEvidenceForm.docx", this.title+'.docx');
    },
    cancelWord() {
      this.showView = false;
    },
  }
}
</script>

<style scoped>

</style>
